Bug 195897 - fence_mcdata doesnt work with newer models
fence_mcdata doesnt work with newer models
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 09:11 EDT by Pedro Fernandes Macedo
Modified: 2009-04-16 18:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 11:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for fence_mcdata for GFS-6.0.2.30-0 (810 bytes, patch)
2006-06-19 09:11 EDT, Pedro Fernandes Macedo
no flags Details | Diff

  None (edit)
Description Pedro Fernandes Macedo 2006-06-19 09:11:13 EDT
This is a repost of bug number 194646, which disappeared after the bugzilla
crash last week. I'm assigning it to jparsons, as kanderso had reassigned this
for him (after I filled the bug for the GFS component previously).

Current versions of fence_mcdata (confirmed on packages GFS-6.1.5-0.src.rpm for
RHEL4 and  GFS-6.0.2.30-0 for RHEL3) wait for "Blocked:  (true|false)" , but
newer models (like Sphereon 4500) return "Blocked:  (Blocked|Unblocked)" on the
port show command.  
The attached patch (for GFS-6.0.2.30-0) adds the necessary bits to make the
script recognize that it has indeed done the request action. I've tested this
fix also on GFS-6.1.5-0 and it works fine.
Comment 1 Pedro Fernandes Macedo 2006-06-19 09:11:13 EDT
Created attachment 131133 [details]
patch for fence_mcdata for GFS-6.0.2.30-0
Comment 2 Rob Kenna 2006-10-03 12:04:23 EDT
Rod - Do yo know if this is working?  We need feedback before including in a
release.
Comment 3 Kiersten (Kerri) Anderson 2007-04-23 12:50:31 EDT
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.
Comment 5 RHEL Product and Program Management 2007-04-26 11:12:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jim Parsons 2007-05-08 11:42:43 EDT
Is the abo ve comment satisfactory confirmation that this fix works? Please
re-open if it is...otyerwise closing.

Note You need to log in before you can comment on or make changes to this bug.